## python-mido 1.1.14

=== debian/changelog ===
python-mido (1.1.14-1) unstable; urgency=low

  * Initial release. Closes: #825144

 -- Josue Ortega <josue@debian.org>  Thu, 07 Jul 2016 17:28:43 +0200

## python-mido 1.2.10

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mido.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mido.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mido"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mido"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-mido 1.1.18

=== debian/changelog ===
python-mido (1.1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Josue Ortega <josue@debian.org>  Sun, 23 Oct 2016 18:04:53 -0600

python-mido (1.1.16-1) unstable; urgency=medium

  * New upstream release

 -- Josue Ortega <josue@debian.org>  Sun, 02 Oct 2016 17:46:54 -0600

python-mido (1.1.15-1) unstable; urgency=medium

  * New upstream release.

 -- Josue Ortega <josue@debian.org>  Sun, 04 Sep 2016 16:47:09 -0600

=== debian/control ===
Source: python-mido
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=9),
 dh-python,
 python-all,
 python-setuptools,
 python-pytest (>= 2.9.2),
 python3-all,
 python3-setuptools,
 python3-pytest (>= 2.9.2)
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/mido
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.5
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/python-mido.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-mido.git

Package: python-mido
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: libportmidi0, libportmidi-dev
Description: Python module for working with MIDI messages and ports
 Python module for working with convenient messages objects, it has full
 support for the 18 messages defined by the MIDI standard.
 Mido brings support for MIDI files (read, write, create and play) with
 complete access to every message in the file, including all common meta
 messages. Implements MIDI over TCP/IP with socket ports, allowing wireless MIDI
 between two computers. Also includes programs for playing MIDI files, listing
 ports and serving and forwarding ports over a network.

Package: python3-mido
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: libportmidi0, libportmidi-dev
Description: Python 3 module for working with MIDI messages and ports
 Python 3 module for working with convenient messages objects, it has full
 support for the 18 messages defined by the MIDI standard.
 Mido brings support for MIDI files (read, write, create and play) with
 complete access to every message in the file, including all common meta
 messages. Implements MIDI over TCP/IP with socket ports, allowing wireless MIDI
 between two computers. Also includes programs for playing MIDI files, listing
 ports and serving and forwarding ports over a network.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/mido/mido-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mido 1.2.7

=== debian/changelog ===
python-mido (1.2.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Josue Ortega <josue@debian.org>  Mon, 19 Jun 2017 18:27:03 -0600

python-mido (1.2.7-1) experimental; urgency=medium

  * New upstream release (v1.2.7):
    - debian/control: adds python{3}-rtmidi to Suggests field.

 -- Josue Ortega <josue@debian.org>  Fri, 02 Jun 2017 16:35:46 -0600

python-mido (1.1.24-1) experimental; urgency=medium

  * New upstream release:
    - Refresh debian/patches/01-fix-python-version-binaries.patch.

 -- Josue Ortega <josue@debian.org>  Sun, 19 Feb 2017 16:02:56 -0600

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Package: python-mido
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Suggests: libportmidi0, libportmidi-dev
+Suggests: libportmidi0, libportmidi-dev, python-rtmidi
 Description: Python module for working with MIDI messages and ports
  Python module for working with convenient messages objects, it has full
  support for the 18 messages defined by the MIDI standard.
@@ -33,7 +33,7 @@
 Package: python3-mido
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: libportmidi0, libportmidi-dev
+Suggests: libportmidi0, libportmidi-dev, python3-rtmidi
 Description: Python 3 module for working with MIDI messages and ports
  Python 3 module for working with convenient messages objects, it has full
  support for the 18 messages defined by the MIDI standard.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mido

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	cp $(CURDIR)/bin/mido-connect $(CURDIR)/bin/mido3-connect
	cp $(CURDIR)/bin/mido-play $(CURDIR)/bin/mido3-play
	cp $(CURDIR)/bin/mido-ports $(CURDIR)/bin/mido3-ports
	cp $(CURDIR)/bin/mido-serve $(CURDIR)/bin/mido3-serve
	dh_auto_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/bin/mido3*
	dh_auto_clean

## python-mido 1.2.9

=== debian/changelog ===
python-mido (1.2.9-2) unstable; urgency=medium

  * Drop Python 2 package
  * Update package to use debhelper-compat (= 12)
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sun, 08 Sep 2019 13:14:28 -0600

python-mido (1.2.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Josue Ortega ]
  * New upstream release (1.2.9):
    - Update debian/patches/*
  * Fix CI tests
  * Add examples to packages installation

 -- Josue Ortega <josue@debian.org>  Sun, 09 Dec 2018 08:44:29 -0600

python-mido (1.2.8-1) unstable; urgency=medium

  * New upstream release (1.2.8)
  * Update debian/patches/* improving solution style
  * Bump compat level from 9 to 11
  * debian/control:
    - Remove anciente X-Python-Version
    - Bump X-Python3-Version to use >= 3.6
    - Update Vcs fields to use salsa.d.o
  * Bump Standards-Version to 4.2.1:
    - debian/copyright: Updates Format URI to https
  * Add autopkgtest test suite

 -- Josue Ortega <josue@debian.org>  Sat, 29 Sep 2018 12:41:08 -0600

=== debian/control ===
Source: python-mido
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-pytest (>= 2.9.2)
Standards-Version: 4.4.0
Homepage: https://pypi.python.org/pypi/mido
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/debian/python-mido.git
Vcs-Browser: https://salsa.debian.org/debian/python-mido

Package: python3-mido
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: libportmidi0, libportmidi-dev, python3-rtmidi
Description: Python 3 module for working with MIDI messages and ports
 Python 3 module for working with convenient messages objects, it has full
 support for the 18 messages defined by the MIDI standard.
 Mido brings support for MIDI files (read, write, create and play) with
 complete access to every message in the file, including all common meta
 messages. Implements MIDI over TCP/IP with socket ports, allowing wireless MIDI
 between two computers. Also includes programs for playing MIDI files, listing
 ports and serving and forwarding ports over a network.

=== debian/tests/control ===
Test-Command: python3 -c "import mido"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mido/mido-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mido 1.2.10

=== debian/changelog ===
python-mido (1.2.10-1) unstable; urgency=medium

  * New upstream release (1.2.10):
    + Refresh d/patches.
  * debian/control: Update homepage field to use upstream official site
    instead of PyPi.
  * Bump Standards-Version to 4.6.0. No changes were required.
  * debian/copyright: Update copyright holder years

 -- Josue Ortega <josue@debian.org>  Wed, 08 Dec 2021 17:30:44 -0600

python-mido (1.2.9-3) unstable; urgency=medium

  * Add autopkgtest runtime test in order to drop the previous supercial
    test. Closes: #969859
  * debian/control: Document Rules-Requires-Root as 'no'
  * debian/watch: Bump file standard version to 4
  * Bump debhelper-compat to use (=13)
  * Bump Standards-Version to 4.5.1. No changes required
  * debian/patches/*.patch: Document Forwarded field

 -- Josue Ortega <josue@debian.org>  Mon, 11 Jan 2021 19:40:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-pytest (>= 2.9.2)
-Standards-Version: 4.4.0
-Homepage: https://pypi.python.org/pypi/mido
+Standards-Version: 4.6.0
+Homepage: https://github.com/mido/mido
 X-Python3-Version: >= 3.6
 Vcs-Git: https://salsa.debian.org/debian/python-mido.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mido
+Rules-Requires-Root: no
 
 Package: python3-mido
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=mido
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	cp $(CURDIR)/bin/mido-connect $(CURDIR)/bin/mido3-connect

## python-mido 1.3.3

=== docs/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2013 Ole Martin Bjorndalen <ombdalen@gmail.com>
+#
+# SPDX-License-Identifier: CC0-1.0
+
 # Makefile for Sphinx documentation
 #

=== debian/changelog ===
python-mido (1.3.3-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Suggests libportmidi2 instead of removed libportmidi0
  * Disable useless Salsa CI jobs

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Feb 2026 18:22:31 +0100

python-mido (1.3.3-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply Multi-Arch: hint
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Wed, 31 Dec 2025 08:13:23 +0100

python-mido (1.3.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dep python3-setuptools-scm to avoid
    generating 0.0.0 version metadata.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 05 Nov 2025 20:47:42 +0100

python-mido (1.3.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.3.3 (Closes: #1058591)
  * Remove Python2 vs Python3 hybridized build
  * Switch to pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Dec 2024 17:21:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,29 @@
 Source: python-mido
 Section: python
-Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-python,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-pytest,
  python3-setuptools,
- python3-pytest (>= 2.9.2)
-Standards-Version: 4.6.0
+ python3-setuptools-scm,
+Standards-Version: 4.7.3
 Homepage: https://github.com/mido/mido
-X-Python3-Version: >= 3.6
 Vcs-Git: https://salsa.debian.org/debian/python-mido.git
 Vcs-Browser: https://salsa.debian.org/debian/python-mido
-Rules-Requires-Root: no
 
 Package: python3-mido
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: libportmidi0, libportmidi-dev, python3-rtmidi
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ libportmidi-dev,
+ libportmidi2,
+ python3-rtmidi,
 Description: Python 3 module for working with MIDI messages and ports
  Python 3 module for working with convenient messages objects, it has full
  support for the 18 messages defined by the MIDI standard.

=== debian/tests/control ===
Tests:
 message-test,
Depends:
 python3-mido,
